<?php
/**
 * Health Assistant: Block Patterns
 *
 * @since Health Assistant 1.0
 */

function health_assistant_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'health-assistant' => array( 'label' => __( 'Health Assistant', 'health-assistant' ) )
	);
	$block_pattern_categories = apply_filters( 'health_assistant_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'health_assistant_register_block_patterns', 9 );